<!-- Based on fast/repaint/table-row.html -->
<html>
<head>
    <title>Test for http://bugs.webkit.org/show_bug.cgi?id=14056</title>
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script type="text/javascript">
        window.expectedPaintInvalidationObjects = [
            "LayoutTableCell TD",
            "LayoutTableRow TR id='target' class='green'",
            "LayoutTableCell TD",
        ];
        function paintInvalidationTest()
        {
            var div = document.getElementById("target");
            div.className = "green";
        }
    </script>
    <style>
        tr {
            background-color: red;
        }

        td {
            width: 100px;
            height: 100px;
        }

        .green {
            background-color:green;
            min-height: 500px; 
        }
    </style>
</head>
<body onload="runPaintInvalidationTest()">
    <table>
        <tr id="target">
            <td>
            </td>
        </tr>
    </table>
</body>
</html>
